# $Revision: 1.45 $, $Date: 2005/07/23 20:44:07 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	0.97
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	34562e9475de132faa0f14ca2be053a5
BuildRequires:	perl-Net-SSLeay
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl
Ten modu jest prawdziwym zamiennikiem dla IO::Socket::INET,
uywajcym SSL do kodowania danych przed przesyaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w peni funkcjonalnego klienta lub
serwera SSL: wiele kontekstw SSL, wybr szyfru, weryfikacja
certyfikatu, wybr wersji SSL. Ponadto wspaniale dziaa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/* util/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Socket-SSL.spec,v $
Revision 1.45  2005/07/23 20:44:07  radek
- version 0.97

Revision 1.44  2004/11/03 22:30:27  paladine
- formatting

Revision 1.43  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.42  2004/05/02 07:25:28  adamg
- updated to 0.96

Revision 1.41  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.40  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.39  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.38  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.37  2003/09/03 12:38:06  grzegol
- updated to 0.95

Revision 1.36  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/07/30 23:04:16  grzegol
- updated to 0.94

Revision 1.34  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/27 21:03:57  ankry
- disabled tests

Revision 1.29  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:33:30  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/20 12:21:05  mis
- autoupdated to 0.92

Revision 1.26  2002/09/08 11:03:39  radek
- version 0.91

Revision 1.25  2002/08/26 09:54:31  qboosh
- pl description

Revision 1.24  2002/08/24 17:08:31  radek
- version 0.901, conditional tests, informative description, STBR

Revision 1.23  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.22  2002/07/11 08:00:18  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:17  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:35  depesz
- automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:27:49  depesz
- adapterized

Revision 1.15  2002/01/18 02:14:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/08/27 11:11:57  mis
- autoupdated to 0.80

Revision 1.13  2001/06/06 16:28:26  mis
- autoupdated to 0.79

Revision 1.12  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.11  2001/05/06 15:35:39  mis
- autoupdated to 0.78

Revision 1.10  2001/04/17 12:11:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/02/19 14:14:47  mis
- updated (by autoup) to 0.77

Revision 1.7  2001/01/08 22:10:34  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.6  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 20:14:37  pius
- initial release
